### Method

# Phosh BackgroundCache fetch_background

#### Declaration [src]

    void
    phosh_background_cache_fetch_background (
      PhoshBackgroundCache* self,
      GFile* file,
      GCancellable* cancel
    )

#### Description [src]

Loads an image into the cache and if not yet present. It always reports success via the `image-loaded` signal.

#### Parameters

`file`

  Type: `GFile`

  The file to lookup or load.

  The data is owned by the caller of the method.

`cancel`

  Type: `GCancellable`

  A cancellable.

  The argument can be `NULL`.
  The data is owned by the caller of the method.